Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Paul Eggert <[email-masked]>
Date: Wed, 22 Apr 2015 23:45:29 -0700

Drew Adams wrote:
> British
> and American usages tends to be reversed wrt which curly quotes,
> single or double, are used at the first level:

Sure, and the tradition in many GNU projects is to use American-style quoting 
for regular English text, and British-style quoting for code.  For example, the 
Emacs 24.5 manual's info files quote ordinary text like this:

   Emacs occupies a “graphical window”

and quote code like this:

   A description of an imaginary variable, ‘electric-future-map’.

Changing doc strings to look like the latter will better implement the 
longstanding style for documentation in GNU projects.  It's what quoting `like 
this' was originally intended to do (and *did* do, with circa-1965 draft ASCII). 
  It's an eminently reasonable way to quote code in documentation.